# Contribution Guidelines

**New to GIT and GitHub?** See [these learning resources](https://help.github.com/articles/git-and-github-learning-resources/) and this [10 min. GIT tutorial](https://try.github.io/levels/1/challenges/1).

These are the main contributing guidelines for the development of the Timbre Perception Test (TPT). We encourage open participation, where anyone can contribute using the standard processes on GitHub.

Feedback and contributions of any form are welcomed. Feel free also to [contact us](mu301hl@gold.ac.uk) to discuss anything further.

### Altering the TPT parameters.   

The software is designed in the Max MSP environment and located in the [`TPT Patch`](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/tree/master/content_development) folder.

Should you wish to alter the parameters of the software to test other auditory attributes using the interactive slider method, please follow the 'pull request' procedure below.

## Testing Setup
Refer to the [README](README.md).

## Pull requests

Please refer to each project's style guidelines and guidelines for submitting patches and additions. In general, we follow the "fork-and-pull" Git workflow.

**NOTE: Be sure to merge the latest from "upstream" before making a pull request!**

- Fork the repo on GitHub
- Clone the project to your own machine
- Commit changes to your own branch
- Push your work back up to your fork
- Submit a Pull request so that we can review your changes


- Try not to pollute your pull request with unintended changes and keep them simple and small. If possible, squash your commits.
- Try to share how your code has been tested before submitting a pull request.
- If your PR resolves an issue, include **closes #ISSUE_NUMBER** in your commit message (or a [synonym](https://help.github.com/articles/closing-issues-via-commit-messages)).
- Review
    - If your PR is ready for review, another contributor will be assigned to review your PR.
    - The reviewer will accept or comment on the PR.
    - If needed address the comments left by the reviewer. Once you're ready to continue the review, ping the reviewer in a comment.
    - Once accepted your code will be merged to `master`.
